| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesDefs.hpp File Reference

Include dependency graph for XercesDefs.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

#define | XERCESDEFS_HPP
#define | XMLStrL(str) str
#define | XERCES_CPP_NAMESPACE_BEGIN
#define | XERCES_CPP_NAMESPACE_END
#define | XERCES_CPP_NAMESPACE_USE
#define | XERCES_CPP_NAMESPACE_QUALIFIER
#define | XERCES_USING_STD(NAME)
#define | XERCES_STD_QUALIFIER
#define | PLATFORM_IMPORT
#define | PLATFORM_IMPORT
#define | PLATFORM_IMPORT
#define | PLATFORM_IMPORT
#define | PLATFORM_IMPORT
#define | PLATFORM_IMPORT
#define | VALIDATORS_EXPORT PLATFORM_IMPORT

## Typedefs

typedef unsigned char | XMLByte
typedef XMLUInt16 | UTF16Ch
typedef XMLUInt32 | UCS4Ch

## Define Documentation

#define PLATFORM_IMPORT

#define PLATFORM_IMPORT

#define PLATFORM_IMPORT

#define PLATFORM_IMPORT

#define VALIDATORS_EXPORT PLATFORM_IMPORT

#define XERCES_CPP_NAMESPACE_BEGIN

#define XERCES_CPP_NAMESPACE_END

#define XERCES_CPP_NAMESPACE_QUALIFIER

#define XERCES_CPP_NAMESPACE_USE

#define XERCES_STD_QUALIFIER

#define XERCES_USING_STD | ( | NAME |  | ) |

#define XERCESDEFS_HPP

#define PLATFORM_IMPORT

#define XMLStrL | ( | str |  | ) | str

#define PLATFORM_IMPORT

## Typedef Documentation

typedef XMLUInt32 UCS4Ch

typedef XMLUInt16 UTF16Ch

typedef unsigned char XMLByte

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.